@inproceedings{noori_modeling_2013,
	abstract = {In the last decade, intelligent transportation systems (ITS) have progressed at a rapid rate, which aim to improve transportation activities in terms of safety and efficiency. Car-to-car and car-to-infrastructure communications are important components of the ITS architecture. Communication between cars and traffic lights is one of the important V2I applications which helps to have dynamic and automatic traffic lights that can create several benefits such as minimizing the traffic jam, reducing fuel consumption and emissions, etc. This paper deals with decreasing the response time of the emergency cars by changing the traffic lights status with employing the communication technologies. The contribution of this paper is twofold: First, the effect of the changing traffic lights status to green for emergency cars is investigated by using traffic simulator (SUMO). Second, this paper uses OMNET++ (Network Simulator) in order to simulate the mentioned scenario as a VANET (with 802.11p standard) by using Veins framework to run SUMO and OMNET++ in parallel. This study has developed the Veins framework by adding a new module to OMNET++ to consider the traffic lights which are simulated in SUMO. Moreover this study has developed a new program written in Python which is connected to SUMO and controls the traffic simulation. This program uses SUMO to simulate a microscopic traffic (by considering every single vehicle movements) and also a city with intelligent traffic lights. Additionally, several statistics about traffic simulation is created for each car such as traveling time, waiting time, emissions, fuel consumption; or complete amount of car emissions in the street during the simulation, fuel consumption, number of vehicles and so on, for each street. This paper uses Manhattan realistic map to describe the mentioned program, then uses realistic map and realistic traffic demand of Cologne, Germany, to obtain a realistic and reliable result.},
	author = {Noori, H.},
	booktitle = {2013 {IEEE} {International} {Conference} on {Communications} {Workshops} ({ICC})},
	doi = {10.1109/ICCW.2013.6649290},
	file = {Noori - 2013 - Modeling the impact of VANET-enabled traffic light.pdf:/home/hurak/Zotero/storage/U24S22TM/Noori - 2013 - Modeling the impact of VANET-enabled traffic light.pdf:application/pdf;IEEE Xplore Abstract Record:/home/hurak/Zotero/storage/3ACWNQTX/6649290.html:text/html},
	keywords = {road traffic, Traffic control, Vehicles, transportation, energy consumption, fuel consumption, Cities and towns, intelligent transportation systems, VANET, vehicular ad hoc networks, wireless LAN, 802.11p, 802.11p standard, Beaconing, car-to-car communications, car-to-infrastructure communications, Cologne, communication technologies, Delays, emergency vehicles response time, Emergency Vehicles response time, Germany, intelligent traffic lights, intelligent transportation systems (ITSs), ITS architecture, large-scale urban area, Manhattan realistic map, network simulator, OMNET++, SUMO, Time factors, traffic simulation, traffic simulator, transportation activities, V2I applications, VANET-enabled traffic lights control, vehicle-to-infrastructure communications(V2I), Vehicular ad hoc networks, Veins, Veins framework, waiting time},
	month = jun,
	pages = {526--531},
	title = {Modeling the impact of {VANET}-enabled traffic lights control on the response time of emergency vehicles in realistic large-scale urban area},
	year = {2013}
}

@inproceedings{ibanez-guzman_cooperative_2010,
	abstract = {The deployment of Wireless communications, localisation and perception technologies are enabling the sharing of information between passenger vehicles and with the infrastructure. An electronic horizon could be built that will be several times larger than what vehicle onboard perception systems could provide and likely at a lower cost. As a result the situational awareness of drivers of such vehicles will be enlarged allowing driving assistance systems to be more predictive. The results of a Use Case related to intersection safety, the crossing of an intersection by an Emergency Service Vehicle (ESV) is examined in details in this paper. The purpose is to convey the preliminary results of the technologies deployed as part of SAFESPOT, a large European project addressing safety related applications. It includes details of the various system components and analysis of the technologies deployed.},
	author = {Ibanez-Guzman, Javier and Lef{\`e}vre, St{\'e}phanie and Rodhaim, Sylvain},
	file = {Ibanez-Guzman et al_2010_Cooperative Vehicles to Facilitate the Crossing of Intersections by Emergency.pdf:/home/hurak/Zotero/storage/NVBQV76P/Ibanez-Guzman et al_2010_Cooperative Vehicles to Facilitate the Crossing of Intersections by Emergency.pdf:application/pdf;Snapshot:/home/hurak/Zotero/storage/M36HSH6H/inria-00539237.html:text/html},
	language = {en},
	month = oct,
	note = {00001},
	title = {Cooperative {Vehicles} to {Facilitate} the {Crossing} of {Intersections} by {Emergency} {Service} {Vehicles}},
	url = {https://hal.inria.fr/inria-00539237/document},
	urldate = {2017-05-16},
	year = {2010}
}

@incollection{weinert_development_2015,
	abstract = {Statistically, emergency vehicles (EVs) encounter a higher risk of getting involved in accidents during their missions than other road users. The successful completion of these missions can be facilitated by new applications. Simulations may support the development of applications, as it is not possible to test them in a real traffic system. Simulation of Urban Mobility (SUMO) is one possible tool to conduct simulations of real traffic systems. However, SUMO is not capable of modelling a realistic behavior of EVs, new types of infrastructure, and individual vehicles (IVs) concerning EVs by a predefined function. We propose models for each of the missing pieces towards an integrated approach to simulate EVs in an urban environment. Therefore, we adjust them with a video analysis and simulate them. Further, an assessment analyzes their usability as a reference for testing new applications. In order to identify supportive applications, we created and carried out a survey with 252 EV drivers. The deduced applications are a traffic light preemption via V2I and an automated formation of a rescue lane via V2V. We assess the models and applications by evaluating the travelling time, a speed profile of the EV, and speed profiles of the IVs. Additionally, we show the usefulness of the two applications for the EV as well as the IVs.},
	author = {Weinert, Florian and D{\"u}ring, Michael},
	booktitle = {Modeling {Mobility} with {Open} {Data}},
	doi = {10.1007/978-3-319-15024-6_8},
	file = {Snapshot:/home/hurak/Zotero/storage/9PA6UP2V/978-3-319-15024-6_8.html:text/html},
	language = {en},
	note = {00002 },
	pages = {125--153},
	publisher = {Springer, Cham},
	title = {Development and {Assessment} of {Cooperative} {V2X} {Applications} for {Emergency} {Vehicles} in an {Urban} {Environment} {Enabled} by {Behavioral} {Models}},
	url = {https://link.springer.com/chapter/10.1007/978-3-319-15024-6_8},
	urldate = {2017-05-16},
	year = {2015}
}

@inproceedings{ibanez-guzman_vehicle_2010,
	abstract = {Road intersections represent one of the most complex configurations encountered when traversing road networks. A high percentage of accidents occur at these locations. The introduction of wireless communications technologies onboard passenger vehicles is enabling the sharing of information and through it enhancing the situational awareness of vehicle drivers. In this paper the implementation of safety applications for cooperative vehicle systems is presented applied to road intersection safety. The system relies on three fundamental technologies: communications, localization and the modelling of the environment surrounding the subject vehicle. The paper centres in a case study, the priority crossing of an Emergency Service Vehicle at an intersection. An analysis of the issues identified during the implementation and testing is included. The implementation represents an instance of the architecture developed for cooperative vehicles applications as part of the European project, SAFESPOT.},
	author = {Ibanez-Guzman, J. and Lefevre, S. and Mokkadem, A. and Rodhaim, S.},
	booktitle = {13th {International} {IEEE} {Conference} on {Intelligent} {Transportation} {Systems}},
	doi = {10.1109/ITSC.2010.5625246},
	file = {Ibanez-Guzman et al_2010_Vehicle to vehicle communications applied to road intersection safety, field.pdf:/home/hurak/Zotero/storage/RVRAID88/Ibanez-Guzman et al_2010_Vehicle to vehicle communications applied to road intersection safety, field.pdf:application/pdf;IEEE Xplore Abstract Record:/home/hurak/Zotero/storage/8BNX5QIU/5625246.html:text/html},
	keywords = {Mobile communication, road vehicles, Driver circuits, vehicles, geometry, ROADS, safety, road safety, Accidents, Junctions, road intersection safety, road networks, vehicle to vehicle communications},
	month = sep,
	note = {00039},
	pages = {192--197},
	title = {Vehicle to vehicle communications applied to road intersection safety, field results},
	year = {2010}
}

@article{ma_dynamic_2013,
	abstract = {This article presents a priority signal control model for multiple bus requests. The proposed model aims to generate the optimal priority serving sequence to maximize the utilization of available green times by buses, but not to incur excessive congestion for other vehicular traffic. This study first depicts the serving sequence for multiple priority requests as a multistage decision process and explicitly models three bus priority strategies under the constraints of minimum green time, acceptable degree of saturation, and length of priority window. Further, it formulates a dynamic programming model to optimize the serving sequence for multiple priority requests as well as the corresponding signal timing plans under various levels of bus occupancy, schedule deviation, and traffic demand. A rolling time horizon approach is employed to solve the proposed model in real time. Comparative analysis results have shown that the proposed dynamic programming model outperforms the first-come-first-serve policy in terms of reducing bus delays, improving schedule adherence, and minimizing the impacts on other vehicular traffic. Computational performance analysis has further demonstrated the potential of the proposed model and algorithm to be applied in real-time bus priority control system.},
	author = {Ma, Wanjing and Liu, Yue and Yang, Xiaoguang},
	doi = {10.1080/15472450.2012.729380},
	file = {Ma et al_2013_A Dynamic Programming Approach for Optimal Signal Priority Control Upon.pdf:/home/hurak/Zotero/storage/Z8K5IJPM/Ma et al_2013_A Dynamic Programming Approach for Optimal Signal Priority Control Upon.pdf:application/pdf;Snapshot:/home/hurak/Zotero/storage/KR46ZWXR/15472450.2012.html:text/html},
	issn = {1547-2450},
	journal = {Journal of Intelligent Transportation Systems},
	keywords = {dynamic programming, traffic control, Multiple Priority Requests, Transit Signal Priority},
	note = {00029},
	number = {4},
	pages = {282--293},
	title = {A {Dynamic} {Programming} {Approach} for {Optimal} {Signal} {Priority} {Control} {Upon} {Multiple} {High}-{Frequency} {Bus} {Requests}},
	url = {http://dx.doi.org/10.1080/15472450.2012.729380},
	urldate = {2017-05-15},
	volume = {17},
	year = {2013}
}

@article{qin_control_2012,
	abstract = {Emergency vehicle (EV) operation saves lives and reduces property damage. This paper reports two new control strategies for EV signal pre-emption (EVSP) that reduce the response time and minimize the impact of EV operation on general traffic. A real-time control strategy is developed that enables signal transitioning from normal operation to EVSP (transition 1) so that the approaching EV can cross the intersection safely at its operating speed and also the impact of the EVSP on general traffic is decreased. The green time that is not required for the EV is dynamically allotted to the traffic on the cross road by taking into account the prevailing traffic condition at the intersection and the state of signal indication. The second control strategy, implemented by an optimal control algorithm, is used for the signal transitioning from the EVSP back to normal operation (transition 2). A two-phase algorithm, consisting of a relaxation method and a stepwise search strategy, is adopted to overcome the difficulty in solving the optimal control model, which results from the interrelationship between successive signal sequences. Software was developed in the MATLAB environment for simulations of the EVSP process under different signal timing transitioning control strategies. Results indicate that the real-time control and the optimal control strategies and their associated methods perform better than the commonly used existing approaches. It is also demonstrated that the two control strategies are applicable to different traffic conditions up to and slightly over-saturated level, and can be used to deal with a single EVSP occurrence as well as multiple EVSP occurrences.},
	author = {Qin, Xiaolin and Khan, Ata M.},
	doi = {10.1016/j.trc.2012.04.004},
	file = {Qin_Khan_2012_Control strategies of traffic signal timing transition for emergency vehicle.pdf:/home/hurak/Zotero/storage/Z8J3CW9S/Qin_Khan_2012_Control strategies of traffic signal timing transition for emergency vehicle.pdf:application/pdf;ScienceDirect Snapshot:/home/hurak/Zotero/storage/AMXIPTD8/S0968090X1200054X.html:text/html},
	issn = {0968-090X},
	journal = {Transportation Research Part C: Emerging Technologies},
	keywords = {control strategy, optimal control, SIMULATION, traffic control, Emergency vehicle, Signal pre-emption, Signal timing},
	month = dec,
	note = {00025},
	pages = {1--17},
	title = {Control strategies of traffic signal timing transition for emergency vehicle preemption},
	url = {http://www.sciencedirect.com/science/article/pii/S0968090X1200054X},
	urldate = {2017-05-15},
	volume = {25},
	year = {2012}
}

@article{he_heuristic_2011,
	abstract = {A heuristic algorithm is presented for traffic signal control with simultaneous multiple priority requests at isolated intersections in the context of vehicle-to-infrastructure communications being available on priority vehicles, such as emergency vehicles and transit buses. This heuristic algorithm can achieve near-optimal signal timing when all simultaneous requests are considered and can be visualized in a phase-time diagram. First, the problem with the control of multiple priority traffic signals is transformed into a network cut problem that is polynomial solvable under some reasonable assumptions. Second, a phase-time diagram is presented to visualize and evaluate priority delay given a signal plan and a collection of priority request arrival times. Microscopic traffic simulation is used to compare the heuristic with the state-of-the-practice algorithms for transit signal priority. The proposed heuristic algorithm could reduce average bus delay in congested conditions by about 50\%, especially with a high frequency of conflicting priority requests.},
	author = {He, Qing and Head, K. and Ding, Jun},
	doi = {10.3141/2259-01},
	file = {Snapshot:/home/hurak/Zotero/storage/7H8M9ECD/2259-01.html:text/html},
	issn = {0361-1981},
	journal = {Transportation Research Record: Journal of the Transportation Research Board},
	month = dec,
	note = {00057},
	pages = {1--7},
	title = {Heuristic {Algorithm} for {Priority} {Traffic} {Signal} {Control}},
	url = {http://trrjournalonline.trb.org/doi/abs/10.3141/2259-01},
	urldate = {2017-05-15},
	volume = {2259},
	year = {2011}
}

@mastersthesis{kamalanathsharma_congestion-based_2010,
	abstract = {This research analyzed and evaluated a new strategy for preemption of emergency vehicles along a corridor, which is
route-based and adaptive to real-time traffic conditions. The method uses dynamic offsets which are adjusted using
congestion-levels to provide uninterrupted preempted green signal for the emergency vehicle throughout its route. By
achieving a higher average emergency vehicle speed, this method promises faster emergency response which re-
sults in saving life and property as well as larger emergency service radius for the dispatch stations. The research
evaluated the effectiveness of two possible algorithms for offset adjustment using measured vehicle queues. It is
showed to reduce the emergency vehicle travel-time by 31 percent when compared to cases without preemption and 13 percent when compared to traditional method of individual-intersection preemption.},
	address = {Alexandria, VA},
	author = {Kamalanathsharma, Raj Kishore},
	school = {Virginia Polytechnic Institute and State University},
	title = {Congestion-{Based} {Emergency} {Vehicle} {Preemption}},
	year = {2010}
}

@inproceedings{kamalanathsharma_intelligent_2012,
	author = {Kamalanathsharma, Raj Kishore and Hancock, Kathleen L.},
	file = {Snapshot:/home/hurak/Zotero/storage/4WCEG2CD/1128819.html:text/html},
	publisher = {Transportation Research Board},
	title = {Intelligent {Preemption} {Control} for {Emergency} {Vehicles} in {Urban} {Corridors}},
	url = {https://trid.trb.org/view/1128819},
	urldate = {2019-11-16},
	year = {2012}
}

@techreport{u.s._department_of_transportation_traffic_2006,
	abstract = {The sudden appearance of an emergency vehicle en route to an emergency can be extremely disruptive to nearby vehicles as individual drivers maneuver to get out of the way. Some drivers become confused and create conflicts that can cause emergency vehicle crashes or block lanes increasing response times. Using Intelligent Transportation Systems to provide emergency vehicles a green light at intersections can reduce driver confusion, reduce conflicts, and improve emergency response times. This cross-cutting study identifies issues associated with emergency vehicle operations and emergency vehicle preemption. This study reports information gathered during a review of publications and site visits to three jurisdictions operating emergency vehicle preemption systems. The purpose of this study is to increase awareness among stakeholders-including police, fire, rescue and emergency medical services (EMS)-about the benefits and costs of emergency vehicle preemption.},
	address = {Washington, DC},
	author = {of Transportation, U.S. Department},
	file = {Department of Transportation. Intelligent Transportation Systems et al_2006_Traffic signal preemption for emergency vehicles.pdf:/home/hurak/Zotero/storage/JU7TSMUM/Department of Transportation. Intelligent Transportation Systems et al_2006_Traffic signal preemption for emergency vehicles.pdf:application/pdf},
	institution = {U.S. Department of Transportation. Intelligent Transportation Systems},
	language = {English},
	month = jan,
	note = {OCLC: 70657844},
	shorttitle = {Traffic signal preemption for emergency vehicles},
	title = {Traffic signal preemption for emergency vehicles: a cross-cutting study},
	url = {https://www.hsdl.org/?abstract&did=17589},
	year = {2006}
}

@book{united_states._traffic_2006,
	address = {Washington, D.C.},
	author = {{United States.}},
	file = {Hathi Trust Record:/home/hurak/Zotero/storage/EDLZRVW8/011238778.html:text/html},
	keywords = {United States, Roads, Electronic traffic controls, Emergency vehicles, Interchanges and intersections., Traffic signs and signals, United States.},
	publisher = {U.S. Department of Transportation, Federal Highway Administration, ITS Joint Program Office},
	series = {Putting the "first" in "first response"},
	shorttitle = {Traffic signal preemption for emergency vehicles},
	title = {Traffic signal preemption for emergency vehicles: a cross-cutting study: putting the "first" in "first response.},
	url = {https://catalog.hathitrust.org/Record/011238778},
	urldate = {2019-11-15},
	year = {2006}
}

@misc{noauthor_traffic_nodate,
	file = {Traffic Signal Timing Manual\: Chapter 9 - Office of Operations:/home/hurak/Zotero/storage/7367BBDJ/chapter9.html:text/html},
	title = {Traffic {Signal} {Timing} {Manual}: {Chapter} 9 - {Office} of {Operations}},
	url = {https://ops.fhwa.dot.gov/publications/fhwahop08024/chapter9.htm#9.1},
	urldate = {2019-11-15}
}

@techreport{akcelik_fundamental_1999,
	author = {Akcelik, R. and Besley, M. and Roper, R.},
	file = {Snapshot:/home/hurak/Zotero/storage/NSPRKE54/655848.html:text/html},
	institution = {ARRB},
	month = sep,
	number = {340},
	title = {Fundamental {Relationships} for {Traffic} {Flows} at {Signalised} {Intersections}},
	type = {Research report},
	url = {https://trid.trb.org/view/655848},
	urldate = {2019-11-13},
	year = {1999}
}

@book{taylor_transportation_2002,
	address = {Amsterdam},
	author = {Taylor, Michael A. P.},
	isbn = {978-0-08-043926-6},
	language = {English},
	note = {OCLC: 50385661},
	publisher = {Pergamon},
	shorttitle = {Transportation and traffic theory in the 21st century},
	title = {Transportation and traffic theory in the 21st century: proceedings of the 15th {International} {Symposium} on {Transportation} and {Traffic} {Theory}},
	year = {2002}
}

@inproceedings{lopez_microscopic_2018,
	abstract = {Microscopic traffic simulation is an invaluable tool for traffic research. In recent years, both the scope of research and the capabilities of the tools have been extended considerably. This article presents the latest developments concerning intermodal traffic solutions, simulator coupling and model development and validation on the example of the open source traffic simulator SUMO.},
	author = {Lopez, Pablo Alvarez and Behrisch, Michael and Bieker-Walz, Laura and Erdmann, Jakob and Fl{\"o}tter{\"o}d, Yun-Pang and Hilbrich, Robert and L{\"u}cken, Leonhard and Rummel, Johannes and Wagner, Peter and WieBner, Evamarie},
	booktitle = {2018 21st {International} {Conference} on {Intelligent} {Transportation} {Systems} ({ITSC})},
	doi = {10.1109/ITSC.2018.8569938},
	file = {Lopez et al_2018_Microscopic Traffic Simulation using SUMO.pdf:/home/hurak/Zotero/storage/MYX7PHXK/Lopez et al_2018_Microscopic Traffic Simulation using SUMO.pdf:application/pdf;IEEE Xplore Abstract Record:/home/hurak/Zotero/storage/HKQ4E8G3/8569938.html:text/html},
	keywords = {road traffic, traffic engineering computing, Urban areas, Data models, Mathematical model, Vehicle dynamics, Microscopy, Roads, intermodal traffic solutions, microscopic traffic simulation, open source traffic simulator SUMO, Tools, traffic research},
	month = nov,
	note = {ISSN: 2153-0017, 2153-0009},
	pages = {2575--2582},
	title = {Microscopic {Traffic} {Simulation} using {SUMO}},
	year = {2018}
}

@inproceedings{bieker-walz_modelling_2019,
	author = {Bieker-Walz, Laura and Behrisch, Michael},
	booktitle = {{EPiC} {Series} in {Computing}},
	doi = {10.29007/sj1m},
	file = {Bieker-Walz_Behrisch_2019_Modelling green waves for emergency vehicles using connected traffic data.pdf:/home/hurak/Zotero/storage/FNPJ3WY2/Bieker-Walz_Behrisch_2019_Modelling green waves for emergency vehicles using connected traffic data.pdf:application/pdf;Snapshot:/home/hurak/Zotero/storage/LZC73B7A/6KGt.html:text/html},
	language = {en-US},
	month = aug,
	pages = {10--20},
	publisher = {EasyChair},
	title = {Modelling green waves for emergency vehicles using connected traffic data},
	url = {https://easychair.org/publications/paper/6KGt},
	urldate = {2019-11-13},
	volume = {62},
	year = {2019}
}

@inproceedings{akcelik_queue_2002,
	address = {Adelaide},
	author = {Ak{\c c}elik, Rahmi and Besley, Mark},
	booktitle = {Transportation and {Traffic} {Theory} in the 21st {Century}},
	doi = {10.1108/9780585474601-006},
	file = {Ak{\c c}elik_2002_Queue Discharge Flow and Speed Models for Signalised Intersections.pdf:/home/hurak/Zotero/storage/GECFIBQ2/Ak{\c c}elik_2002_Queue Discharge Flow and Speed Models for Signalised Intersections.pdf:application/pdf},
	isbn = {978-0-08-043926-6},
	pages = {99--118},
	publisher = {Emerald Group Publishing Limited},
	title = {Queue {Discharge} {Flow} and {Speed} {Models} for {Signalised} {Intersections}},
	year = {2002}
}

@article{wang_design_2013,
	abstract = {Emergency vehicle is an important part of traffic flow. The efficiency, reliability, and safety of emergency vehicle operations dropped due to increasing traffic congestion. With the advancement of the wireless communication technologies and the development of the vehicle-to-vehicle (v2v) and vehicle-to-infrastructure (v2i) systems, called Cooperative Vehicle-Infrastructure System (CVIS), there is an opportunity to provide appropriate traffic signal preemption for emergency vehicle based on real-ime emergency vehicle data, traffic volume data, and traffic signal timings. This paper describes the design and implementation of an Emergency Vehicle Signal Preemption System (TJ-EVSP) in CVIS environment. The system function, system architecture, and operation strategies were presented. Then, the system was deployed and validated at two adjacent intersections in Taicang City, Jiangsu Province, China. Results show that the proposed system can improve the efficiency of emergency vehicle operations with less waste of traffic resources.},
	author = {Wang, Yinsong and Wu, Zhizhou and Yang, Xiaoguang and Huang, Luoyi},
	doi = {10.1155/2013/834976},
	file = {Wang et al_2013_Design and Implementation of an Emergency Vehicle Signal Preemption System.pdf:/home/hurak/Zotero/storage/MSVR4UCS/Wang et al_2013_Design and Implementation of an Emergency Vehicle Signal Preemption System.pdf:application/pdf},
	issn = {1687-8140},
	journal = {Advances in Mechanical Engineering},
	language = {en},
	month = jan,
	pages = {834976},
	title = {Design and {Implementation} of an {Emergency} {Vehicle} {Signal} {Preemption} {System} {Based} on {Cooperative} {Vehicle}-{Infrastructure} {Technology}},
	url = {https://doi.org/10.1155/2013/834976},
	urldate = {2019-10-09},
	volume = {5},
	year = {2013}
}

@article{humagain_systematic_2019,
	abstract = {Reducing the travel time of emergency vehicles (EVs) is an effective way to improve critical services such as ambulance, fire, and police. Route optimisation and pre-emption are powerful techniques used to reduce EV travel time. This paper presents a systematic literature review of optimisation and pre-emption techniques for routing EVs. A detailed classification of existing techniques is presented along with critical analysis and discussion. The study observes the limitations of existing routing systems and lack of real-world applications of the proposed pre-emption systems, leading to several interesting and important knowledge and implementation gaps that require further investigation. These gaps include optimisations using real-time dynamic traffic data, considering time to travel as a critical parameter within dynamic route planning algorithms, considering advanced algorithms, assessing and minimising the effects of EV routing on other traffic, and addressing safety concerns in traffic networks containing multiple EVs at the same time.},
	author = {Humagain, Subash and Sinha, Roopak and Lai, Edmund and Ranjitkar, Prakash},
	doi = {10.1080/01441647.2019.1649319},
	file = {Humagain et al_2019_A systematic review of route optimisation and pre-emption methods for emergency.pdf:/home/hurak/Zotero/storage/FD6UY7V3/Humagain et al_2019_A systematic review of route optimisation and pre-emption methods for emergency.pdf:application/pdf;Snapshot:/home/hurak/Zotero/storage/FUXDCGU2/01441647.2019.html:text/html},
	issn = {0144-1647},
	journal = {Transport Reviews},
	keywords = {path planning, emergency vehicle routing, Route optimisation, traffic signal pre-emption, traffic signal priority},
	month = jul,
	number = {0},
	pages = {1--19},
	title = {A systematic review of route optimisation and pre-emption methods for emergency vehicles},
	url = {https://doi.org/10.1080/01441647.2019.1649319},
	urldate = {2019-10-09},
	volume = {0},
	year = {2019}
}

@inproceedings{obrusnik_queue_2020,
	abstract = {In this paper, we document a novel method for emergency vehicle preemption at an intersection controlled by traffic lights. The method relies on wireless vehicle-to-infrastructure (V2I) communication between the emergency vehicle and the traffic lights controller, availability of an accurate estimate of the number of vehicles in the queue, and a mathematical model of dynamics of discharging of the queue. Unlike some occasionally deployed methods that trigger the preemption the instant that the emergency vehicle appears at a prespecified distance from the intersection, the proposed method adapts the activation moment to the actual traffic conditions so that the preemption is as short as possible, thus reducing the impact on the other traffic. The method has been finetuned using numerical simulations in SUMO simulator and experimentally verified in real urban traffic.},
	author = {Obrusn\'{\i}k, V\'{\i}t and Herman, Ivo and Hur{\'a}k, Zden{\v e}k},
	booktitle = {Proceedings of the 21st {IFAC} {World} {Congress}},
	institution = {IFAC},
	location = {Berlin, Germany},
	month = jul,
	title = {Queue discharge-based emergency vehicle traffic signal preemption},
	url = {https://www.ifac2020.org/},
	volume = {21},
	year = {2020}
}

